GradleBuild (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.tooling.model.gradle

## Interface GradleBuild

- All Superinterfaces:
    `BuildModel`, `Model`

      public interface GradleBuild
      extends Model, BuildModel

  Provides information about the structure of a Gradle build.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BuildIdentifier` | `getBuildIdentifier()` | Returns the identifier for this Gradle build.
    `DomainObjectSet<? extends GradleBuild>` | `getEditableBuilds()` | Returns all builds contained in this build for which tooling models should be built when importing into an IDE.
    `DomainObjectSet<? extends GradleBuild>` | `getIncludedBuilds()` | Returns the included builds that were referenced by this build.
    `DomainObjectSet<? extends BasicGradleProject>` | `getProjects()` | Returns the set of all projects for this build.
    `BasicGradleProject` | `getRootProject()` | Returns the root project for this build.

- - ### Method Detail

    - #### getBuildIdentifier

          BuildIdentifier getBuildIdentifier()

      Returns the identifier for this Gradle build.
      Specified by:
        `getBuildIdentifier` in interface `BuildModel`
      Since:
        2.13

    - #### getRootProject

          BasicGradleProject getRootProject()

      Returns the root project for this build.
      Returns:
        The root project

    - #### getProjects

          DomainObjectSet<? extends BasicGradleProject> getProjects()

      Returns the set of all projects for this build.
      Returns:
        The set of all projects.

    - #### getIncludedBuilds

          DomainObjectSet<? extends GradleBuild> getIncludedBuilds()

      Returns the included builds that were referenced by this build. This is the set of builds that were directly included by this build via its `Settings` instance.
      Since:
        3.3

    - #### getEditableBuilds

          @Incubating
          DomainObjectSet<? extends GradleBuild> getEditableBuilds()

      Returns all builds contained in this build for which tooling models should be built when importing into an IDE.

      This is not always the same the builds returned by `getIncludedBuilds()`. For the root build, the 'editable' builds set contains all builds that participate in the composite build, including those directly included by the root build plus all builds included by any nested included builds transitively. For all other builds, this set is empty.

      Since:
        4.10